import * as tslib_1 from "tslib";
import * as React from 'react';
import { autobind } from 'office-ui-fabric-react/lib/Utilities';
import { Persona, PersonaSize, PersonaPresence } from 'office-ui-fabric-react/lib/Persona';
import { Icon } from 'office-ui-fabric-react/lib/Icon';
import './PersonaExample.scss';
import { TestImages } from '../../../common/TestImages';
var examplePersona = {
    imageUrl: TestImages.personaFemale,
    imageInitials: 'AL',
    primaryText: 'Annie Lindqvist',
    secondaryText: 'Software Engineer',
    tertiaryText: 'In a meeting',
    optionalText: 'Available at 4:00pm'
};
var PersonaCustomRenderExample = /** @class */ (function (_super) {
    tslib_1.__extends(PersonaCustomRenderExample, _super);
    function PersonaCustomRenderExample() {
        return _super.call(this) || this;
    }
    PersonaCustomRenderExample.prototype.render = function () {
        return (React.createElement("div", null,
            React.createElement(Persona, tslib_1.__assign({}, examplePersona, { size: PersonaSize.size72, presence: PersonaPresence.offline, onRenderSecondaryText: this._onRenderSecondaryText })),
            React.createElement("div", null, "custom coin size = 150, Persona size is size100."),
            React.createElement(Persona, tslib_1.__assign({}, examplePersona, { size: PersonaSize.size100, coinSize: 150, presence: PersonaPresence.offline, onRenderSecondaryText: this._onRenderSecondaryText }))));
    };
    PersonaCustomRenderExample.prototype._onRenderSecondaryText = function (props) {
        return (React.createElement("div", null,
            React.createElement(Icon, { iconName: 'Suitcase', className: 'ms-JobIconExample' }),
            props.secondaryText));
    };
    tslib_1.__decorate([
        autobind
    ], PersonaCustomRenderExample.prototype, "_onRenderSecondaryText", null);
    return PersonaCustomRenderExample;
}(React.Component));
export { PersonaCustomRenderExample };
//# sourceMappingURL=Persona.CustomRender.Example.js.map